# SIPAuthentication Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPAuthentication:

List of all members.

## Public Member Functions

| SIPAuthentication ()
virtual bool | EquivalentTo (const SIPAuthentication &_oldAuth)=0
virtual PBoolean | Parse (const PString &auth, PBoolean proxy)=0
virtual PBoolean | Authorise (SIP_PDU &pdu) const =0
virtual PBoolean | IsProxy () const
virtual PString | GetUsername () const
virtual PString | GetPassword () const
virtual PString | GetAuthRealm () const
virtual void | SetUsername (const PString &user)
virtual void | SetPassword (const PString &pass)
virtual void | SetAuthRealm (const PString &r)
PString | GetAuthParam (const PString &auth, const char *name) const
PString | AsHex (PMessageDigest5::Code &digest) const
PString | AsHex (const PBYTEArray &data) const

## Static Public Member Functions

static SIPAuthentication * | ParseAuthenticationRequired (bool isProxy, const PString &line, PString &errorMsg)

## Protected Attributes

PBoolean | isProxy
PString | username
PString | password
PString | authRealm

## Constructor & Destructor Documentation

SIPAuthentication::SIPAuthentication | ( |  | ) |

## Member Function Documentation

virtual bool SIPAuthentication::EquivalentTo | ( | const SIPAuthentication & | _oldAuth | ) | `[pure virtual]`

Implemented in SIPDigestAuthentication.

virtual PBoolean SIPAuthentication::Parse | ( | const PString & | auth,
|  | PBoolean | proxy |
| ) |  |  | `[pure virtual]`

Implemented in SIPDigestAuthentication.

virtual PBoolean SIPAuthentication::Authorise | ( | SIP_PDU & | pdu | ) | const`[pure virtual]`

Implemented in SIPDigestAuthentication.

virtual PBoolean SIPAuthentication::IsProxy | ( |  | ) | const`[inline, virtual]`

virtual PString SIPAuthentication::GetUsername | ( |  | ) | const`[inline, virtual]`

virtual PString SIPAuthentication::GetPassword | ( |  | ) | const`[inline, virtual]`

virtual PString SIPAuthentication::GetAuthRealm | ( |  | ) | const`[inline, virtual]`

virtual void SIPAuthentication::SetUsername | ( | const PString & | user | ) | `[inline, virtual]`

virtual void SIPAuthentication::SetPassword | ( | const PString & | pass | ) | `[inline, virtual]`

virtual void SIPAuthentication::SetAuthRealm | ( | const PString & | r | ) | `[inline, virtual]`

PString SIPAuthentication::GetAuthParam | ( | const PString & | auth,
|  | const char * | name |
| ) |  |  | const

PString SIPAuthentication::AsHex | ( | PMessageDigest5::Code & | digest | ) | const

PString SIPAuthentication::AsHex | ( | const PBYTEArray & | data | ) | const

static SIPAuthentication* SIPAuthentication::ParseAuthenticationRequired | ( | bool | isProxy,
|  | const PString & | line,
|  | PString & | errorMsg |
| ) |  |  | `[static]`

## Member Data Documentation

PBoolean SIPAuthentication::isProxy `[protected]`

PString SIPAuthentication::username `[protected]`

PString SIPAuthentication::password `[protected]`

PString SIPAuthentication::authRealm `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h